linux: 3.13.0-30.54 -proposed tracker

Bug #1328286 reported by Kamal Mostafa on 2014-06-09
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Canonical Kernel Team
Prepare-package-meta
Medium
Canonical Kernel Team
Prepare-package-signed
Medium
Canonical Kernel Team
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Trusty
Medium
Unassigned

Bug Description

This bug is for tracking the 3.13.0-30.54 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 09. June 2014 21:57 UTC
kernel-stable-Prepare-package-end:Tuesday, 10. June 2014 06:43 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 10. June 2014 06:43 UTC
ppa-package-testing-start:Tuesday, 10. June 2014 07:00 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 10. June 2014 08:01 UTC
kernel-stable-Verification-testing-start:Tuesday, 10. June 2014 10:01 UTC
kernel-stable-Certification-testing-start:Tuesday, 10. June 2014 10:01 UTC
kernel-stable-Security-signoff-start:Tuesday, 10. June 2014 10:01 UTC
kernel-stable-Regression-testing-start:Tuesday, 10. June 2014 10:01 UTC
kernel-stable-Verification-testing-end:Friday, 20. June 2014 17:29 UTC
kernel-stable-Regression-testing-end:Friday, 20. June 2014 17:29 UTC
kernel-stable-Security-signoff-end:Friday, 20. June 2014 17:29 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 24. June 2014 17:45 UTC
kernel-stable-Certification-testing-end:Tuesday, 24. June 2014 17:45 UTC
kernel-stable-Promote-to-updates-end:Thursday, 26. June 2014 14:14 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 26. June 2014 15:23 UTC

tags: added: kernel-release-tracking-bug
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Trusty):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-trusty (precise) - bug 1328394

description: updated
Brad Figg (brad-figg) on 2014-06-10
description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and -signed built.

Brad Figg (brad-figg) on 2014-06-10
description: updated
Brad Figg (brad-figg) on 2014-06-10
description: updated
Para Siva (psivaa) on 2014-06-17
tags: added: qa-testing-passed
John Johansen (jjohansen) wrote :

No CVEs

Brad Figg (brad-figg) on 2014-06-20
description: updated
Brad Figg (brad-figg) on 2014-06-24
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (19.3 KiB)

This bug was fixed in the package linux - 3.13.0-30.54

---------------
linux (3.13.0-30.54) trusty; urgency=low

  [ Adam Conrad ]

  * [Config] Enable building the sata-modules udeb on ppc64el.
    - LP: #1323980

  [ Anton Blanchard ]

  * SAUCE: (no-up) powerpc: 64bit sendfile is capped at 2GB
    - LP: #1328230

  [ Ben Widawsky ]

  * SAUCE: i915_bdw: drm/i915: Fix PSR programming
    - LP: #1321729
  * SAUCE: i915_bdw: drm/i915: Correct PPGTT total size
    - LP: #1321729

  [ Chris Wilson ]

  * SAUCE: i915_bdw: drm/i915: Broadwell expands ACTHD to 64bit
    - LP: #1321729

  [ Damien Lespiau ]

  * SAUCE: i915_bdw: drm/i915/bdw: Implement
    Wa4x4STCOptimizationDisable:bdw
    - LP: #1321729

  [ Dave Chiluk ]

  * [Config] Enable CONFIG_IP_VS_IPV6=y
    - LP: #1300739

  [ Kamal Mostafa ]

  * [Config] add debian/gbp.conf
  * Release Tracking Bug
    - LP: #1328286

  [ Mika Kuoppala ]

  * SAUCE: i915_bdw: drm/i915: add render state initialization
    - LP: #1321729

  [ Paulo Zanoni ]

  * SAUCE: i915_bdw: drm/i915: fix assert_cursor on BDW
    - LP: #1321729

  [ Steven Rostedt ]

  * SAUCE: i915_bdw: drm/i915: Do not dereference pointers from ring buffer
    in evict event
    - LP: #1321729

  [ Tim Gardner ]

  * [Config] CONFIG_POWERNV_CPUFREQ=y for ppc64el
    - LP: #1324571
  * [Debian] Treat vdso install as an environment variable
  * [Config] Treat vdso install as an environment variable
  * [Config] CONFIG_MLX4_DEBUG=y
    - LP: #1328256
  * [Config] CONFIG_I40EVF=m, CONFIG_I40E_DCB=y, CONFIG_I40E_VXLAN=y
    - LP: #1328037

  [ Timo Aaltonen ]

  * SAUCE: i915_bdw: Rebase to drm-intel-next-2014-03-07 + fixes
    - LP: #1321729
  * SAUCE: i915_bdw: Add BDW specific power well calls
    - LP: #1317865

  [ Upstream Kernel Changes ]

  * drm: expose subpixel order name routine v3
  * drm: dp helper: Add DP test sink CRC definition.
  * drm: export cmdline and preferred mode functions from fb helper
  * hugetlb: ensure hugepage access is denied if hugepages are not
    supported
    - LP: #1328251
  * powerpc/powernv: Move SG list structure to header file
    - LP: #1326015
  * powerpc/powernv: Read OPAL error log and export it through sysfs
    - LP: #1326015
  * powerpc/powernv Platform dump interface
    - LP: #1326015
  * pci_regs.h: Add PCI bus link speed and width defines
    - LP: #1328037
  * net_tstamp: Add SIOCGHWTSTAMP ioctl to match SIOCSHWTSTAMP
    - LP: #1328037
  * PCI/MSI: Add pci_enable_msi_range() and pci_enable_msix_range()
    - LP: #1328037
  * net: Change skb_get_rxhash to skb_get_hash
    - LP: #1328037
  * net: Add utility functions to clear rxhash
    - LP: #1328037
  * net: Add function to set the rxhash
    - LP: #1328037
  * i40e: set pf_id based on device and function numbers
    - LP: #1328037
  * i40e: register file updates
    - LP: #1328037
  * i40e: clear AQ head and tail registers
    - LP: #1328037
  * i40e: simplify aq head-tail-len setups
    - LP: #1328037
  * i40e: firmware version fields offsets update
    - LP: #1328037
  * i40e: allow one more vector for VFs
    - LP: #1328037
  * i40e: select reset counters correctly
    - LP: #1328037
  * i40e: retry call on timeout
    - LP: #...

Changed in linux (Ubuntu Trusty):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-06-26
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers